import {Injectable} from '@angular/core';
import {JSONRequest} from '../../interface/JSONRequest';
import {HttpClient} from '@angular/common/http';
import {HttpInterface} from '../../interface/HttpInterface';
import {JSONResponse} from '../../interface/JSONResponse';
import {catchError} from 'rxjs/operators';
import {Observable} from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class LoginService extends JSONRequest {

  constructor(
    private http: HttpClient,
  ) {
    super();
  }

  /**
   * 注销登录
   */
  logout(): Observable<JSONResponse<any>> {
    return this.http.post<JSONResponse<any>>(HttpInterface.logout, {}, this.httpOptions)
      .pipe(
        catchError(this.handleError<any>('注销'))
      );
  }

  /**
   * 登陆
   */
  login(body): Observable<JSONResponse<any>> {
    return this.http.post<JSONResponse<any>>(HttpInterface.login, body, this.httpOptions)
      .pipe(
        catchError(this.handleError<any>('登陆'))
      );
  }
}
