// 帖子类型
export enum ForumType {
  active= 'active',
  complaint= 'complaint'
}

// 活动帖
export interface Active {
  // 活动帖
  // 帖子类型
  type: ForumType;
  // 帖子ID
  id: number;
  // 发帖人
  issuer: string;
  // 头像
  headImg: string;
  // 用户信用分
  userCreditScore: number;
  // 帖子标题
  title: string;
  // 帖子内容
  content: string;
  // 活动开始时间
  startTime: number;
  // 活动结束时间
  endTime: number;
  // 活动奖励分
  activeCreditScore: number;
}

// 投诉帖
export interface Complaint {
  // 帖子类型
  type: ForumType;
  // 帖子ID
  id: number;
  // 投诉人头像
  plaintiffHeadImg: string;
  // 投诉人名称
  plaintiffName: string;
  // 投诉人信用分
  plaintiffCreditScore: number;
  // 被投诉人头像
  defendantHeadImg: string;
  // 被投诉人名称
  defendantName: string;
  // 被投诉人信用分
  defendantCreditScore: number;
  // 投诉标题
  title: string;
  // 投诉内容
  content: string;
  // 投诉时间
  time: number;
}

export interface Forum {
  list: Array<Active|Complaint>;
  page: {
    count: number;
    page: number;
    currentPage: number;
  };
}

